FROM nginx:mainline-alpine
LABEL maintainer="Igor Nehoroshev <harry@hashdivision.com>"

# Dockerfile will be built from root of repository
COPY docker/nginx.conf /etc/nginx/nginx.conf
COPY melodiam.ts/build /usr/share/nginx/html
# Folder for Unix Domain Socket volume
RUN mkdir /nginx /uvicorn

CMD rm -f /nginx/melodiam-nginx.sock && nginx -g "daemon off;"
